Get list of files for environment
curl --request GET \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/file-list \
--header 'Authorization: Bearer <token>'{
"environment": {
"id": "54fb80af-576c-4fdc-ba4f-b596c83f15b2",
"file_list": [
{
"name": "wp-content",
"path": "wp-content",
"children": [
{
"name": "plugins",
"path": "wp-content/plugins",
"children": [
{
"name": "akismet",
"path": "wp-content/plugins/akismet"
}
]
}
]
}
]
}
}WordPress Site Environments
Get list of files for environment
GET
/
sites
/
environments
/
{env_id}
/
file-list
Get list of files for environment
curl --request GET \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/file-list \
--header 'Authorization: Bearer <token>'{
"environment": {
"id": "54fb80af-576c-4fdc-ba4f-b596c83f15b2",
"file_list": [
{
"name": "wp-content",
"path": "wp-content",
"children": [
{
"name": "plugins",
"path": "wp-content/plugins",
"children": [
{
"name": "akismet",
"path": "wp-content/plugins/akismet"
}
]
}
]
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinqsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Response
Successfully found environment file list
Show child attributes
Show child attributes
Change PHP allocation settings for a site's live and standard staging environmentsGet environment redirect rules
⌘I